=== debian/changelog ===
devscripts (2.23.3) unstable; urgency=medium

  [ Samuel Henrique ]
  * Fix generation of the extended description (Closes: #1032337)

  [ Benjamin Drung ]
  * Fix complaints from pylint 2.16.2
  * suspicious-source: Fix MIME type name for Python code
  * Add myself to uploaders

  [ Zixing Liu ]
  * Salsa/check_repo: avoid dependency on Digest::MD5::File (LP: #2007279)
  * Salsa/Hooks: using if-elsif chains to avoid Switch which is a deprecated
    package (LP: #2007279)

  [ Johannes Schauer Marin Rodrigues ]
  * debootsnap:
    - check to make sure that equivs-build, apt-ftparchive, mmdebstrap,
      apt-get and dpkg-name exist
    - allow reading package list from a file

  [ Rémy Martin ]
  * edit-patch: Fix failure on creating new patch (LP: #1222364)

  [ Paul Wise ]
  * bts: Fix mangled UTF-8 name

 -- Benjamin Drung <bdrung@debian.org>  Wed, 15 Mar 2023 23:52:52 +0100
