## devscripts 2.23.4

=== debian/changelog ===
devscripts (2.23.4) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * uscan: s/+dfsg1/+dfsg/ repack suffix to avoid lintian
    anticipated-repack-count.  MR: !340

  [ Arnaud Rebillout ]
  * Salsa/Hooks: fix _check_config for boolean.  MR: !339

  [ Jakub Kuczys ]
  * deb-reversion:
    + Fix issues with paths that have spaces in them.  MR: !341
    + Allow reversioning of debs without changelog.  MR: !342
    + Make deb-reversion not dependent on system locale

  [ Dominique Dumont ]
  * bts:
    + drop obsolete Net::SMTPS (Closes: 1029588)  MR: !343
    + clean up usage of obsolete Net::SMTPS

  [ Roland Mas ]
  * uscan: Fix uscan for multiple mode=git sources, thanks to Jonas Smedegaard
    for the patch. Closes: #1004213.  MR: !300

  [ Tobias Frost ]
  * mk-build-deps: remove buildinfo and changes file (Closes: #989696)

  [ Nelson A. de Oliveira ]
  * dget: Make dget understand -k option (Closes: #597988)

  [ Benjamin Drung ]
  * Fix or drop several wrong fuzzy German and Portuguese translations

  [ Jakub Wilk ]
  * Fix syntax error in salsa bash completion (Closes: #1033973)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 05 Apr 2023 12:40:28 +0200
