## devscripts 2.23.4ubuntu1

=== debian/changelog ===
devscripts (2.23.4ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop debpkg to make devscripts architecture all. Instead of debpkg please
      use sudo for debi (or, highly dangerous, make dpkg setuid root).

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 05 Apr 2023 13:48:17 +0200

devscripts (2.23.3ubuntu2) lunar; urgency=medium

  * Drop debpkg to make devscripts architecture all. Instead of debpkg please
    use sudo for debi (or, highly dangerous, make dpkg setuid root).
  * Revert special handling for i386

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 20 Mar 2023 13:05:08 +0100

devscripts (2.23.3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop build-dep on python3-pycurl on i386.
    - mk-build-deps:
      + remove all output of dpkg-buildpackage with -r, not just the .deb
    - Skip testing debootsnap if python3-pycurl is not available

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 16 Mar 2023 00:11:56 +0100

devscripts (2.23.0ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop build-dep on python3-pycurl on i386.
    - mk-build-deps:
      + remove all output of dpkg-buildpackage with -r, not just the .deb
  * Skip testing debootsnap if python3-pycurl is not available

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 05 Feb 2023 00:40:31 +0100

devscripts (2.22.2ubuntu5) lunar; urgency=medium

  * Fix incorrect usage of pylint, see #1027759
  * Ignore new issues found by pylint for now

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 09 Jan 2023 11:51:25 +0000

devscripts (2.22.2ubuntu4) lunar; urgency=medium

  * No-change rebuild. Welcome to the Lunar Lobster!

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 07 Dec 2022 09:41:08 +0100
