=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Benjamin Drung <bdrung@debian.org>,
@@ -69,7 +70,7 @@
 Vcs-Git: https://salsa.debian.org/debian/devscripts.git
 
 Package: devscripts
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
 Depends:
  dpkg-dev (>= 1.18.19),
