## devscripts 2.23.4+deb12u1

=== debian/changelog ===
devscripts (2.23.4+deb12u1) bookworm; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Update branch in gbp.conf & Vcs-Git URL.

  [ Benjamin Drung ]
  * debchange: Update to current Debian distributions
    (closes: #1037336, #1038389, #1043021)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Oct 2023 18:54:42 +0200
