=== debian/changelog ===
devscripts (2.23.4+deb12u2) bookworm; urgency=medium

  [ Lee Garrett ]
  * bts: Fix regression when using Auth on 587/tcp.  Closes: #1079730

  [ Cyril Brulebois ]
  * build-rdeps: Add support for non-free-firmware
  * chdist: Update sources.list examples with non-free-firmware

  [ Gioele Barabucci ]
  * build-rdeps: Use all available distros by default.  Closes: #1032396

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 18 Sep 2024 21:22:30 +0200
