=== test/debrepro/unreproducible/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	date > foo
	dh_install foo /usr/share/
