## devscripts 2.23.5~bpo11+1

=== debian/changelog ===
devscripts (2.23.5~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for bullseye-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Sat, 05 Aug 2023 21:46:33 -0700

devscripts (2.23.5) unstable; urgency=medium

  [ Benjamin Drung ]
  * debchange: Update to current Debian distributions (Add bookworm and trixie
    and drop stretch, jessie, and wheezy) (Closes: #1037336)
  * test: Unset UBUMAIL for testEncoding
  * Drop debpkg to make devscripts architecture all. Instead of debpkg please
    use sudo for debi (or, highly dangerous, make dpkg setuid root).

  [ Guillem Jover ]
  * Devscripts::Compression: Switch to new Dpkg::Compression getters
    (Closes: #1027718)

  [ Cyril Brulebois ]
  * build-rdeps: Add support for non-free-firmware
  * chdist: Update sources.list examples with non-free-firmware

  [ Jussi Hakala ]
  * dget: download binary packages that only come from the requested source
    package (Closes: #1027962)

  [ Ian Jackson ]
  * grep-excuses: --autopkgtests: do not report NEUTRAL

  [ Johannes Schauer Marin Rodrigues ]
  * rewrite annotate-output to avoid needing temporary directory/fifos
    (Closes: #919563)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 12 Jun 2023 17:33:27 +0200
