## devscripts 2.23.5

=== debian/control ===
--- 
+++ 
@@ -66,10 +66,10 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
-Vcs-Git: https://salsa.debian.org/debian/devscripts.git -b bookworm
+Vcs-Git: https://salsa.debian.org/debian/devscripts.git
 
 Package: devscripts
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
 Depends:
  dpkg-dev (>= 1.18.19),
