## devscripts 2.23.6~bpo11%2B1

=== test/sadt/fails/debian/tests/control ===
Tests: fails
