## devscripts 2.23.6~bpo11+1

=== debian/changelog ===
devscripts (2.23.6~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for bullseye-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Tue, 05 Sep 2023 01:09:27 -0700

devscripts (2.23.6) unstable; urgency=medium

  * Team upload

  [ Yadd ]
  * fix salsa test (Closes: #1038486)
  * add dependency to libjson-perl

  [ gregor herrmann ]
  * test/t/salsa.pm: use JSON (Closes: #1038486)

 -- Yadd <yadd@debian.org>  Wed, 23 Aug 2023 07:51:13 +0400
