=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
  libgit-wrapper-perl <!nocheck>,
  libgitlab-api-v4-perl (>= 0.13) <!nocheck>,
  libipc-run-perl <!nocheck>,
+ libjson-perl <!nocheck>,
  liblist-compare-perl <!nocheck>,
  libmoo-perl <!nocheck>,
  libstring-shellquote-perl <!nocheck>,
@@ -100,6 +101,7 @@
  libencode-locale-perl,
  libgit-wrapper-perl,
  libgitlab-api-v4-perl,
+ libjson-perl,
  liblist-compare-perl,
  libstring-shellquote-perl,
  libtry-tiny-perl,
