=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
  liburi-perl <!nocheck>,
  libwww-perl <!nocheck>,
  lsb-release <!nocheck>,
- mozilla-devscripts <!nocheck>,
  perl:any,
  perltidy <!nocheck>,
  pkg-config,
@@ -74,7 +73,6 @@
 Multi-Arch: foreign
 Depends:
  dpkg-dev (>= 1.18.19),
- fakeroot,
  file,
  gnupg | gnupg2,
  gpgv | gpgv2,
@@ -100,7 +98,6 @@
  libdpkg-perl,
  libencode-locale-perl,
  libgit-wrapper-perl,
- libgitlab-api-v4-perl,
  libjson-perl,
  liblist-compare-perl,
  libstring-shellquote-perl,
@@ -146,7 +143,6 @@
  libtimedate-perl,
  libyaml-syck-perl,
  mmdebstrap,
- mozilla-devscripts,
  mutt,
  piuparts,
  postgresql-client,
