=== debian/changelog ===
devscripts (2.23.7-ok3) nile; urgency=medium

  *skip test for openkylin. 

 -- liubo01 <kylin@liubo01-pc>  Thu, 26 Sep 2024 16:18:17 +0800

devscripts (2.23.7-ok2) nile; urgency=medium

  * Change scripts/setup.py version.

 -- liubo01 <liubo01@kylinos.cn>  Thu, 26 Sep 2024 15:42:54 +0800

devscripts (2.23.7-ok1) nile; urgency=medium

  * Build for openKylin.

 -- openKylinBot <openKylinBot@openkylin.top>  Wed, 08 May 2024 10:07:04 +0800
