=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: openKylin Developers <packaging@lists.openkylin.top>
Uploaders: Mattia Rizzolo <mattia@debian.org>,
           Benjamin Drung <bdrung@debian.org>
Build-Depends: autodep8 <!nocheck>,
               bash-completion,
               black <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-python3,
               docbook-xsl,
               dpkg-dev (>= 1.19.1),
               faketime <!nocheck>,
               file <!nocheck>,
               git (>= 1:2.7.0) <!nocheck>,
               gnupg <!nocheck> | gnupg2 <!nocheck>,
               help2man,
               isort <!nocheck>,
               libdistro-info-perl <!nocheck>,
               libdpkg-perl <!nocheck>,
               libfile-desktopentry-perl <!nocheck>,
               libfile-dirlist-perl <!nocheck>,
               libfile-homedir-perl <!nocheck>,
               libfile-touch-perl <!nocheck>,
               libfile-which-perl <!nocheck>,
               libgit-wrapper-perl <!nocheck>,
               libgitlab-api-v4-perl (>= 0.13) <!nocheck>,
               libipc-run-perl <!nocheck>,
               libjson-perl <!nocheck>,
               liblist-compare-perl <!nocheck>,
               libmoo-perl <!nocheck>,
               libstring-shellquote-perl <!nocheck>,
               libtest-output-perl <!nocheck>,
               libtimedate-perl <!nocheck>,
               libtry-tiny-perl <!nocheck>,
               liburi-perl <!nocheck>,
               libwww-perl <!nocheck>,
               lsb-release <!nocheck>,
               perl:any,
               perltidy <!nocheck>,
               pkg-config,
               po4a,
               pylint (>= 2.2.2-2) <!nocheck> | pylint3 <!nocheck>,
               python3-all:any,
               python3-apt <!nocheck>,
               python3-debian <!nocheck>,
               python3-flake8 <!nocheck>,
               python3-magic <!nocheck>,
               python3-pycurl <!nocheck>,
               python3-pyftpdlib <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools,
               python3-unidiff <!nocheck>,
               python3-xdg <!nocheck>,
               shunit2 <!nocheck>,
               subversion [!i386] <!nocheck>,
               unzip <!nocheck>,
               wdiff <!nocheck>,
               xsltproc,
               xz-utils <!nocheck>,
               zip <!nocheck>,
               zstd <!nocheck>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/devscripts
Vcs-Git: https://salsa.debian.org/debian/devscripts.git

Package: devscripts
Architecture: all
Multi-Arch: foreign
Depends: dpkg-dev (>= 1.18.19),
         file,
         gnupg | gnupg2,
         gpgv | gpgv2,
         libfile-dirlist-perl,
         libfile-homedir-perl,
         libfile-touch-perl,
         libfile-which-perl,
         libipc-run-perl,
         libmoo-perl,
         libwww-perl,
         patchutils,
         sensible-utils,
         wdiff,
         ${misc:Depends},
         ${perl:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: apt (>= 1.3~pre3),
            dctrl-tools,
            dput | dupload,
            libdistro-info-perl,
            libdpkg-perl,
            libencode-locale-perl,
            libgit-wrapper-perl,
            libjson-perl,
            liblist-compare-perl,
            libstring-shellquote-perl,
            libtry-tiny-perl,
            liburi-perl,
            licensecheck,
            lintian,
            man-db,
            patch,
            python3-apt,
            python3-debian (>= 0.1.15),
            python3-magic,
            python3-requests,
            python3-unidiff,
            python3-xdg,
            strace,
            unzip,
            wget | curl,
            xz-utils,
            ${vendor:Recommends}
Suggests: adequate,
          at,
          autopkgtest,
          bls-standalone,
          bsd-mailx | mailx,
          build-essential,
          check-all-the-things,
          cvs-buildpackage,
          debhelper,
          diffoscope,
          disorderfs,
          dose-extra (>= 4.0),
          duck,
          elpa-devscripts,
          faketime,
          gnuplot,
          how-can-i-help,
          libauthen-sasl-perl,
          libdbd-pg-perl,
          libfile-desktopentry-perl,
          libterm-size-perl,
          libtimedate-perl,
          libyaml-syck-perl,
          mmdebstrap,
          mutt,
          piuparts,
          postgresql-client,
          pristine-lfs,
          quilt,
          ratt,
          reprotest,
          ssh-client,
          svn-buildpackage,
          w3m,
          ${vendor:Suggests}
Breaks: hardening-includes, ubuntu-dev-tools (<< 0.147~)
Replaces: hardening-includes, ubuntu-dev-tools (<< 0.124~)
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
 ${devscripts:LongDesc}
