=== debian/tests/control ===
Tests: shunit2
Depends: build-essential,
         debhelper,
         fakeroot,
         faketime,
         git,
         gnupg,
         libdistro-info-perl,
         libgitlab-api-v4-perl,
         libipc-run-perl,
         libjson-perl,
         libtest-output-perl,
         libwww-perl,
         python3-debian,
         python3-pyftpdlib,
         shunit2,
         subversion,
         unzip,
         wdiff,
         zip,
         zstd,
         @
Restrictions: allow-stderr

Tests: destructive
Depends: apt, libdpkg-perl, libipc-run-perl, perl, @
Restrictions: allow-stderr, breaks-testbed, needs-root
