## devscripts 2.23.7trisquel2

=== debian/changelog ===
devscripts (2.23.7trisquel2) ecne; urgency=medium

  * Make use of TrisquelDistroInfo from distro-info package.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 04:35:59 +0000

devscripts (2.10.11) unstable
