## devscripts 2.23.7ubuntu0.1

=== scripts/Makefile ===
--- 
+++ 
@@ -98,8 +98,12 @@
 %.pl_check: %
 	perl -I ../lib -c $<; \
 
-test_py: $(VERSION_FILE)
-	$(foreach python,$(shell py3versions -r ../debian/control),$(python) setup.py test$(\n))
+devscripts/__init__.py: ../debian/changelog
+	# Generate devscripts/__init__.py
+	python3 setup.py build
+
+test_py: devscripts/__init__.py
+	$(foreach python,$(shell py3versions -r ../debian/control),$(python) -m unittest discover devscripts$(\n))
 
 debbisect.1: debbisect
 	help2man \
