=== debian/changelog ===
devscripts (2.23.7ubuntu0.1) noble; urgency=medium

  * Fix Perl warnings in chdist and debcheckout (LP: #2061609)
    + chdist: fix Perl warnings about given/when
      - 1790cf66b5dad4d969a1843ffae7a03016211084
    + debcheckout: Stop using given/when since it is deprecated
      - 30241faf80f6fbd32cfe3291520db6c15ddfa9a5
  * Fix FTBFS
    + Switch from "setup.py test" to "unittest discover"
      - 03cc78f1e9fe23fa9f3bcaf91ca7165120bb1038
    + scripts/reproducible-check: make black happy
      - 315ea294532100ea20ab4e6ac9d955ddf648a4d0

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 08 Jan 2026 19:02:00 -0500
