## devscripts 2.23.7ubuntu0.1trisquel3

=== debian/changelog ===
devscripts (2.23.7ubuntu0.1trisquel3) ecne; urgency=medium

  * Make use of TrisquelDistroInfo from distro-info package.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 07 Feb 2026 04:46:20 +0000
