## devscripts 2.23.7ubuntu0.2

=== debian/changelog ===
devscripts (2.23.7ubuntu0.2) noble; urgency=medium

  [ Jeremy Bícha ]
  * rmadison: update Ubuntu URL since people.canonical.com is being
    decomissioned (LP: #2142712)

  [ Paride Legovini ]
  * rmadison: update Ubuntu URL in docs

 -- Wesley Hershberger <wesley.hershberger@canonical.com>  Wed, 25 Feb 2026 16:32:10 -0600
