## devscripts 2.23.7ubuntu1

=== debian/changelog ===
devscripts (2.23.7ubuntu1) oracular; urgency=medium

  * Cherry-pick patch adding support for black 24.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 30 Apr 2024 14:12:34 -0500
