## devscripts 2.23.7+0deepin1

=== debian/changelog ===
devscripts (2.23.7+0deepin1) unstable; urgency=medium

  * Fix pylint warning. 

 -- xiangzelong <xiangzelong@deepin.org>  Thu, 12 Sep 2024 14:05:28 +0800
