=== scripts/Makefile ===
--- 
+++ 
@@ -23,6 +23,8 @@
 PKGNAMES := \
 	build-rdeps \
 	dd-list \
+	deb2apptainer \
+	deb2docker \
 	debcheckout \
 	debsnap \
 	dget \
