=== debian/changelog ===
devscripts (2.24.1) unstable; urgency=medium

  [ Christoph Anton Mitterer ]
  * annotate-output: wholly overhauled the script.  Closes: #1057963
    + Prevent variables such as `PROGNAME`, `FMT, `err` from leaking to command
    + Use exit status `127` if no program was specified.
    + Documente exit statuses
    + Improve the manpage and program usage output.
    + Add option (--raw-date-format) to allow a format string with no separator.
    + Support `--` to end option parsing.
    + Escape command name and arguments in the annotated output.
    + Include annotate-output's version information and chosen prefix format
      in the annotated output.

  [ Ben Hutchings ]
  * uscan:
    + Allow exporting uncompressed VCS exports.  Closes: #1003251; MR: !292
      This is to avoid useless compress/decompress/compress cycles.

  [ Christoph Berg ]
  * salsa:
    + Exclude projects that are only shared with a group/user from --all.

  [ Benjamin Drung ]
  * debbisect:
    + Address pylint's consider-using-min-builtin.

  [ Osamu Aoki ]
  * dget:
    + Add deb822 *.sources support.  Closes: #976673

  [ Paul Wise ]
  * build-rdeps:
    + Avoid Perl errors when a source has no Suite or no Codename.
    + Set the default origin to the current vendor from dpkg.
    + Check devel suite status based on chosen origin not dpkg vendor.
      Allows using APT_CONFIG and an origin override to check Ubuntu chdists.
  * chdist:
    + Document that the dist can come first.
    + Allow running build-rdeps, synaptic and also arbitrary commands.
    + Allow putting the dist first for the create command

  [ Yadd ]
  * Update French translations
  * Fix broken bash_completion for salsa(1)
  * uscan: improve GitHub documentation

  [ Johannes Schauer Marin Rodrigues ]
  * debbisect:
    + Properly handle network hiccups and clean-up half-downloaded files.
    + Pipe dpkg output into cat instead of using --no-pager, to support older
    dpkg
    + run_bisect_qemu.sh: switch to debvm.
      - move all the complexity to debvm, simplifying this script.
      - add support for all release architectures.
    + make caching proxy an actual http proxy.
      - mirror url no longer is http://127.0.0.1:$PORT but
        http://snapshot.debian.org, making writing test scripts less
        surprising.
      - set the http_proxy variable for the script.
  * debootsnap:
    + Always output tarball independent on how the output path is named
    + Create merged-/usr symlinks if necessary
    + Abort early if user does not pass a tarball name and also does not
      redirect stdout to a file.
    + Improve --help output.
  * bts:
    + status: preserve field order and otherwise sort keys.
  * Handle some new test failures due to changed dependencies.
  * Update copyright.
  * build-rdeps
    + Avoid 'Use of uninitialized value' warnings by skipping unsuitable entries
  * debrebuild:
    + Improve error messages.
    + Fix typo buildresults -> buildresult.
    + Download dsc using debsnap and verify its hash.
    + Set SBUILD_CONFIG to prevent user's ~/.sbuildrc leaking into the build.
    + Use mmdebstrap tar-in with --skip=tar-in/mknod to copy the tarball into
      the chroot.
    + Clean up temporary files.

  [ Gianfranco Costamagna ]
  * uscan:
    + Fix mode=git to use the correct versioning sha when a branch is provided.
    Closes: #992976

  [ Otto Kekäläinen ]
  * dget:
    + Improve help and man page to clarify difference to modern apt-get.
    Related: 1059551

  [ Paride Legovini ]
  * wrap-and-sort:
    + Consisteny add --no-<action> options
    + Improve --help output by improving text consistency, always writing the
      default option, and hide the now deprecated --externa-rts-parser.
    + Update manpage with the new --no-<action> arguments
    + Add support for more d/t/control DEP-8 fields: Features, Restrictions,
      Tests.

  [ cen ]
  * debrebuild:  Closes: #1063928
    + Avoid error in case of .buildinfo coming from binNMUs
    + Add missing module import.

  [ Sylvestre Ledru ]
  * uscan:
    + in find_watch_file, replace the deprecated `find -follow` in find by -L.

  [ Michael Prokop ]
  * README:
    + Update dependencies for debootsnap
  * d/contro:
    + Add python3-pycurl to Suggests, used by debootsnap.  Closes: #1054571

  [ Agathe Porte ]
  * uscan:
    + Add Fossil example.

  [ g0t mi1k ]
  * chdist:
    + Include kali-archive-keyring.gpg.

  [ Lee Garrett ]
  * d/gbp.conf: Explicitly set the Debian branch, changed from master to main.

  [ Jeremy Bícha ]
  * rmadison:
    + Update the URL used for Ubuntu.

  [ Andrea Pappacoda ]
  * mk-origtargz:
    + Support tarballs without .tar.* extension.

  [ Lucas Nussbaum ]
  * chdist:
    + Fix Perl warnings about deprecated given/when.  Closes: #1065348

  [ Bastien Roucariès ]
  * uscan:
    + Improve documentation of downloading tags and releases from GitHub.

  [ James McCoy ]
  * Switch from "setup.py test" to "unittest discover".
    Closes: #1079650
  * debbisect:
    + Support redirect Location which are either paths or URLs.
    + run_bisect_qemu.sh: Pass the architecture to debvm-create.

  [ Emmanuel FARHI ]
  * NEW SCRIPTS:
    + deb2docker and deb2apptainer.
      Build container images with the given packages.

  [ Mattia Rizzolo ]
  * packaging:
    + Add lintian override for very-log-line-length-in-source.
    + Change build-dependency from replaced pkg-config to pkgconf.
    + Bump Standards-Version to 4.7.0, no changes needed.
  * debuild.bash_completion: appease lintian by wrapping this very long line.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 18 Sep 2024 20:41:19 +0200
