=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Benjamin Drung <bdrung@debian.org>,
@@ -42,7 +41,7 @@
  lsb-release <!nocheck>,
  perl:any,
  perltidy <!nocheck>,
- pkg-config,
+ pkgconf,
  po4a,
  pylint (>= 2.2.2-2) <!nocheck> | pylint3 <!nocheck>,
  python3-all:any,
@@ -64,7 +63,7 @@
  xz-utils <!nocheck>,
  zip <!nocheck>,
  zstd <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
 Vcs-Git: https://salsa.debian.org/debian/devscripts.git
@@ -131,6 +130,7 @@
  debhelper,
  diffoscope,
  disorderfs,
+ docker.io,
  dose-extra (>= 4.0),
  duck,
  elpa-devscripts,
@@ -148,6 +148,7 @@
  piuparts,
  postgresql-client,
  pristine-lfs,
+ python3-pycurl,
  quilt,
  ratt,
  reprotest,
